# GetTagsForNode(string)

Method in [Dialogue](/3.1/api/csharp/yarn/yarn.dialogue.md)

{% hint style="warning" %}
This method is obsolete and may be removed from a future version of Yarn Spinner: Use GetHeaderValue(nodeName, "tags"), and split the result by spaces.
{% endhint %}

## Summary

Returns the tags for the node `nodeName` .

```csharp
public IEnumerable<string> GetTagsForNode(string nodeName)
```

## Remarks

The tags for a node are defined by setting the `tags` header in the node's source code. This header must be a space-separated list.

## Parameters

| Name              | Description           |
| ----------------- | --------------------- |
| `string` nodeName | The name of the node. |

## Returns

The node's tags, or `null` if the node is not present in the Program.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn/yarn.dialogue/yarn.dialogue.gettagsfornode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
